-module(unusedguard).
-export([falseguardtest1/1, falseguardtest2/1, trueguardtest/1]).

falseguardtest1(Alma) ->
    if
        Alma==3->
            Alma;
        3==2 ->
            vmi
    end,
    io:format("Hello, world!~n").

falseguardtest2(Alma) ->
    if
        3==2 ->
            vmi;
        Alma==3->
            Alma
    end,
    io:format("Hello, world!~n").

trueguardtest(Alma) ->
    if
        Alma ->
            Alma;
        not Alma ->
            Alma-1;
        Alma==useless ->
            unused
    end,
    io:format("Hello, world!~n").
